From cf18825445a486eb073d1f3d0b159b3f4fe57fb1 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Fri, 30 Dec 2022 12:08:21 +0100
Subject: [PATCH v2 2/2] Move varatt.h include to individual files

---
 contrib/citext/citext.c                                | 1 +
 contrib/cube/cubeparse.y                               | 1 +
 contrib/fuzzystrmatch/fuzzystrmatch.c                  | 1 +
 contrib/ltree/ltree_io.c                               | 1 +
 contrib/ltree/ltxtquery_io.c                           | 1 +
 contrib/pg_trgm/trgm_gin.c                             | 1 +
 contrib/pg_trgm/trgm_gist.c                            | 1 +
 contrib/pgcrypto/pgcrypto.c                            | 1 +
 contrib/uuid-ossp/uuid-ossp.c                          | 1 +
 src/backend/access/common/toast_compression.c          | 1 +
 src/backend/access/hash/hashfunc.c                     | 1 +
 src/backend/access/spgist/spgtextproc.c                | 1 +
 src/backend/libpq/be-fsstubs.c                         | 1 +
 src/backend/tsearch/ts_parse.c                         | 1 +
 src/backend/tsearch/ts_typanalyze.c                    | 1 +
 src/backend/utils/adt/ascii.c                          | 1 +
 src/backend/utils/adt/char.c                           | 1 +
 src/backend/utils/adt/cryptohashfuncs.c                | 1 +
 src/backend/utils/adt/encode.c                         | 1 +
 src/backend/utils/adt/formatting.c                     | 1 +
 src/backend/utils/adt/geo_ops.c                        | 1 +
 src/backend/utils/adt/like.c                           | 1 +
 src/backend/utils/adt/network_gist.c                   | 1 +
 src/backend/utils/adt/network_spgist.c                 | 1 +
 src/backend/utils/adt/oracle_compat.c                  | 1 +
 src/backend/utils/adt/quote.c                          | 1 +
 src/backend/utils/adt/rangetypes.c                     | 1 +
 src/backend/utils/adt/rangetypes_typanalyze.c          | 1 +
 src/backend/utils/adt/tsginidx.c                       | 1 +
 src/backend/utils/adt/tsquery.c                        | 1 +
 src/backend/utils/adt/tsquery_cleanup.c                | 1 +
 src/backend/utils/adt/tsquery_op.c                     | 1 +
 src/backend/utils/adt/tsquery_util.c                   | 1 +
 src/backend/utils/adt/tsvector.c                       | 1 +
 src/backend/utils/cache/attoptcache.c                  | 1 +
 src/backend/utils/cache/spccache.c                     | 1 +
 src/backend/utils/mb/mbutils.c                         | 1 +
 src/include/fmgr.h                                     | 2 --
 src/pl/plperl/Util.xs                                  | 1 +
 src/test/modules/spgist_name_ops/spgist_name_ops.c     | 1 +
 src/test/modules/test_custom_rmgrs/test_custom_rmgrs.c | 1 +
 src/test/modules/test_shm_mq/test.c                    | 1 +
 42 files changed, 41 insertions(+), 2 deletions(-)

diff --git a/contrib/citext/citext.c b/contrib/citext/citext.c
index df139462a6..976c578e1c 100644
--- a/contrib/citext/citext.c
+++ b/contrib/citext/citext.c
@@ -8,6 +8,7 @@
 #include "utils/builtins.h"
 #include "utils/formatting.h"
 #include "utils/varlena.h"
+#include "varatt.h"
 
 PG_MODULE_MAGIC;
 
diff --git a/contrib/cube/cubeparse.y b/contrib/cube/cubeparse.y
index 44450d1027..b39fbe63e6 100644
--- a/contrib/cube/cubeparse.y
+++ b/contrib/cube/cubeparse.y
@@ -9,6 +9,7 @@
 #include "cubedata.h"
 #include "nodes/miscnodes.h"
 #include "utils/float.h"
+#include "varatt.h"
 
 /* All grammar constructs return strings */
 #define YYSTYPE char *
diff --git a/contrib/fuzzystrmatch/fuzzystrmatch.c b/contrib/fuzzystrmatch/fuzzystrmatch.c
index 5659cc71ac..cd19d6af62 100644
--- a/contrib/fuzzystrmatch/fuzzystrmatch.c
+++ b/contrib/fuzzystrmatch/fuzzystrmatch.c
@@ -43,6 +43,7 @@
 #include "mb/pg_wchar.h"
 #include "utils/builtins.h"
 #include "utils/varlena.h"
+#include "varatt.h"
 
 PG_MODULE_MAGIC;
 
diff --git a/contrib/ltree/ltree_io.c b/contrib/ltree/ltree_io.c
index f0dd3df511..f775cf7b04 100644
--- a/contrib/ltree/ltree_io.c
+++ b/contrib/ltree/ltree_io.c
@@ -11,6 +11,7 @@
 #include "libpq/pqformat.h"
 #include "ltree.h"
 #include "utils/memutils.h"
+#include "varatt.h"
 
 
 typedef struct
diff --git a/contrib/ltree/ltxtquery_io.c b/contrib/ltree/ltxtquery_io.c
index a16e577303..6e476ce9ea 100644
--- a/contrib/ltree/ltxtquery_io.c
+++ b/contrib/ltree/ltxtquery_io.c
@@ -12,6 +12,7 @@
 #include "ltree.h"
 #include "miscadmin.h"
 #include "nodes/miscnodes.h"
+#include "varatt.h"
 
 
 /* parser's states */
diff --git a/contrib/pg_trgm/trgm_gin.c b/contrib/pg_trgm/trgm_gin.c
index 32fafef203..29a52eac7a 100644
--- a/contrib/pg_trgm/trgm_gin.c
+++ b/contrib/pg_trgm/trgm_gin.c
@@ -7,6 +7,7 @@
 #include "access/stratnum.h"
 #include "fmgr.h"
 #include "trgm.h"
+#include "varatt.h"
 
 PG_FUNCTION_INFO_V1(gin_extract_trgm);
 PG_FUNCTION_INFO_V1(gin_extract_value_trgm);
diff --git a/contrib/pg_trgm/trgm_gist.c b/contrib/pg_trgm/trgm_gist.c
index 3d74a1463a..ef5d8cca78 100644
--- a/contrib/pg_trgm/trgm_gist.c
+++ b/contrib/pg_trgm/trgm_gist.c
@@ -8,6 +8,7 @@
 #include "fmgr.h"
 #include "port/pg_bitutils.h"
 #include "trgm.h"
+#include "varatt.h"
 
 /* gist_trgm_ops opclass options */
 typedef struct
diff --git a/contrib/pgcrypto/pgcrypto.c b/contrib/pgcrypto/pgcrypto.c
index 8f882f4c68..96447c5757 100644
--- a/contrib/pgcrypto/pgcrypto.c
+++ b/contrib/pgcrypto/pgcrypto.c
@@ -39,6 +39,7 @@
 #include "px.h"
 #include "utils/builtins.h"
 #include "utils/uuid.h"
+#include "varatt.h"
 
 PG_MODULE_MAGIC;
 
diff --git a/contrib/uuid-ossp/uuid-ossp.c b/contrib/uuid-ossp/uuid-ossp.c
index 1245af3abb..24b80f7113 100644
--- a/contrib/uuid-ossp/uuid-ossp.c
+++ b/contrib/uuid-ossp/uuid-ossp.c
@@ -19,6 +19,7 @@
 #include "port/pg_bswap.h"
 #include "utils/builtins.h"
 #include "utils/uuid.h"
+#include "varatt.h"
 
 /*
  * It's possible that there's more than one uuid.h header file present.
diff --git a/src/backend/access/common/toast_compression.c b/src/backend/access/common/toast_compression.c
index 7156ae9c47..367010461d 100644
--- a/src/backend/access/common/toast_compression.c
+++ b/src/backend/access/common/toast_compression.c
@@ -22,6 +22,7 @@
 #include "common/pg_lzcompress.h"
 #include "fmgr.h"
 #include "utils/builtins.h"
+#include "varatt.h"
 
 /* GUC */
 int			default_toast_compression = TOAST_PGLZ_COMPRESSION;
diff --git a/src/backend/access/hash/hashfunc.c b/src/backend/access/hash/hashfunc.c
index f890f79ee1..fa70d16b29 100644
--- a/src/backend/access/hash/hashfunc.c
+++ b/src/backend/access/hash/hashfunc.c
@@ -32,6 +32,7 @@
 #include "utils/builtins.h"
 #include "utils/float.h"
 #include "utils/pg_locale.h"
+#include "varatt.h"
 
 /*
  * Datatype-specific hash functions.
diff --git a/src/backend/access/spgist/spgtextproc.c b/src/backend/access/spgist/spgtextproc.c
index 199d921463..cf386ca7bb 100644
--- a/src/backend/access/spgist/spgtextproc.c
+++ b/src/backend/access/spgist/spgtextproc.c
@@ -46,6 +46,7 @@
 #include "utils/datum.h"
 #include "utils/pg_locale.h"
 #include "utils/varlena.h"
+#include "varatt.h"
 
 
 /*
diff --git a/src/backend/libpq/be-fsstubs.c b/src/backend/libpq/be-fsstubs.c
index c6e1e88dee..b202d40a13 100644
--- a/src/backend/libpq/be-fsstubs.c
+++ b/src/backend/libpq/be-fsstubs.c
@@ -53,6 +53,7 @@
 #include "utils/builtins.h"
 #include "utils/memutils.h"
 #include "utils/snapmgr.h"
+#include "varatt.h"
 
 /* define this to enable debug logging */
 /* #define FSDB 1 */
diff --git a/src/backend/tsearch/ts_parse.c b/src/backend/tsearch/ts_parse.c
index eff1669b12..34ea4fef0a 100644
--- a/src/backend/tsearch/ts_parse.c
+++ b/src/backend/tsearch/ts_parse.c
@@ -16,6 +16,7 @@
 
 #include "tsearch/ts_cache.h"
 #include "tsearch/ts_utils.h"
+#include "varatt.h"
 
 #define IGNORE_LONGLEXEME	1
 
diff --git a/src/backend/tsearch/ts_typanalyze.c b/src/backend/tsearch/ts_typanalyze.c
index 187d9f16b1..b2134ca3b4 100644
--- a/src/backend/tsearch/ts_typanalyze.c
+++ b/src/backend/tsearch/ts_typanalyze.c
@@ -19,6 +19,7 @@
 #include "common/hashfn.h"
 #include "tsearch/ts_type.h"
 #include "utils/builtins.h"
+#include "varatt.h"
 
 
 /* A hash key for lexemes */
diff --git a/src/backend/utils/adt/ascii.c b/src/backend/utils/adt/ascii.c
index 54c36a7da2..0078ab9c80 100644
--- a/src/backend/utils/adt/ascii.c
+++ b/src/backend/utils/adt/ascii.c
@@ -14,6 +14,7 @@
 #include "mb/pg_wchar.h"
 #include "utils/ascii.h"
 #include "utils/builtins.h"
+#include "varatt.h"
 
 static void pg_to_ascii(unsigned char *src, unsigned char *src_end,
 						unsigned char *dest, int enc);
diff --git a/src/backend/utils/adt/char.c b/src/backend/utils/adt/char.c
index e50293bf14..dc9fe8d433 100644
--- a/src/backend/utils/adt/char.c
+++ b/src/backend/utils/adt/char.c
@@ -19,6 +19,7 @@
 
 #include "libpq/pqformat.h"
 #include "utils/builtins.h"
+#include "varatt.h"
 
 #define ISOCTAL(c)   (((c) >= '0') && ((c) <= '7'))
 #define TOOCTAL(c)   ((c) + '0')
diff --git a/src/backend/utils/adt/cryptohashfuncs.c b/src/backend/utils/adt/cryptohashfuncs.c
index 03d84ea217..21e9ba4ba5 100644
--- a/src/backend/utils/adt/cryptohashfuncs.c
+++ b/src/backend/utils/adt/cryptohashfuncs.c
@@ -17,6 +17,7 @@
 #include "common/md5.h"
 #include "common/sha2.h"
 #include "utils/builtins.h"
+#include "varatt.h"
 
 
 /*
diff --git a/src/backend/utils/adt/encode.c b/src/backend/utils/adt/encode.c
index f3bb5cca43..0473410c18 100644
--- a/src/backend/utils/adt/encode.c
+++ b/src/backend/utils/adt/encode.c
@@ -18,6 +18,7 @@
 #include "mb/pg_wchar.h"
 #include "utils/builtins.h"
 #include "utils/memutils.h"
+#include "varatt.h"
 
 
 /*
diff --git a/src/backend/utils/adt/formatting.c b/src/backend/utils/adt/formatting.c
index 65746c48d2..0751e4146d 100644
--- a/src/backend/utils/adt/formatting.c
+++ b/src/backend/utils/adt/formatting.c
@@ -88,6 +88,7 @@
 #include "utils/memutils.h"
 #include "utils/numeric.h"
 #include "utils/pg_locale.h"
+#include "varatt.h"
 
 
 /* ----------
diff --git a/src/backend/utils/adt/geo_ops.c b/src/backend/utils/adt/geo_ops.c
index 86da025906..c34a8a1481 100644
--- a/src/backend/utils/adt/geo_ops.c
+++ b/src/backend/utils/adt/geo_ops.c
@@ -35,6 +35,7 @@
 #include "utils/float.h"
 #include "utils/fmgrprotos.h"
 #include "utils/geo_decls.h"
+#include "varatt.h"
 
 /*
  * * Type constructors have this form:
diff --git a/src/backend/utils/adt/like.c b/src/backend/utils/adt/like.c
index 8e671b9fab..b3bfe5904c 100644
--- a/src/backend/utils/adt/like.c
+++ b/src/backend/utils/adt/like.c
@@ -24,6 +24,7 @@
 #include "miscadmin.h"
 #include "utils/builtins.h"
 #include "utils/pg_locale.h"
+#include "varatt.h"
 
 
 #define LIKE_TRUE						1
diff --git a/src/backend/utils/adt/network_gist.c b/src/backend/utils/adt/network_gist.c
index 95d16dffe0..1f3b31fb90 100644
--- a/src/backend/utils/adt/network_gist.c
+++ b/src/backend/utils/adt/network_gist.c
@@ -51,6 +51,7 @@
 #include "access/stratnum.h"
 #include "utils/builtins.h"
 #include "utils/inet.h"
+#include "varatt.h"
 
 /*
  * Operator strategy numbers used in the GiST inet_ops opclass
diff --git a/src/backend/utils/adt/network_spgist.c b/src/backend/utils/adt/network_spgist.c
index 3832156941..6ab3b40ee9 100644
--- a/src/backend/utils/adt/network_spgist.c
+++ b/src/backend/utils/adt/network_spgist.c
@@ -37,6 +37,7 @@
 #include "catalog/pg_type.h"
 #include "utils/builtins.h"
 #include "utils/inet.h"
+#include "varatt.h"
 
 
 static int	inet_spg_node_number(const inet *val, int commonbits);
diff --git a/src/backend/utils/adt/oracle_compat.c b/src/backend/utils/adt/oracle_compat.c
index 018e8c9342..c6d127417c 100644
--- a/src/backend/utils/adt/oracle_compat.c
+++ b/src/backend/utils/adt/oracle_compat.c
@@ -21,6 +21,7 @@
 #include "utils/builtins.h"
 #include "utils/formatting.h"
 #include "utils/memutils.h"
+#include "varatt.h"
 
 
 static text *dotrim(const char *string, int stringlen,
diff --git a/src/backend/utils/adt/quote.c b/src/backend/utils/adt/quote.c
index 0a466740d9..8a405dc4fd 100644
--- a/src/backend/utils/adt/quote.c
+++ b/src/backend/utils/adt/quote.c
@@ -14,6 +14,7 @@
 #include "postgres.h"
 
 #include "utils/builtins.h"
+#include "varatt.h"
 
 
 /*
diff --git a/src/backend/utils/adt/rangetypes.c b/src/backend/utils/adt/rangetypes.c
index 2817b5e06e..99cb5f0310 100644
--- a/src/backend/utils/adt/rangetypes.c
+++ b/src/backend/utils/adt/rangetypes.c
@@ -42,6 +42,7 @@
 #include "utils/lsyscache.h"
 #include "utils/rangetypes.h"
 #include "utils/timestamp.h"
+#include "varatt.h"
 
 
 /* fn_extra cache entry for one of the range I/O functions */
diff --git a/src/backend/utils/adt/rangetypes_typanalyze.c b/src/backend/utils/adt/rangetypes_typanalyze.c
index f73c904b90..661f9c41e0 100644
--- a/src/backend/utils/adt/rangetypes_typanalyze.c
+++ b/src/backend/utils/adt/rangetypes_typanalyze.c
@@ -31,6 +31,7 @@
 #include "utils/lsyscache.h"
 #include "utils/rangetypes.h"
 #include "utils/multirangetypes.h"
+#include "varatt.h"
 
 static int	float8_qsort_cmp(const void *a1, const void *a2, void *arg);
 static int	range_bound_qsort_cmp(const void *a1, const void *a2, void *arg);
diff --git a/src/backend/utils/adt/tsginidx.c b/src/backend/utils/adt/tsginidx.c
index cf23aeb5ea..d0a5a587e9 100644
--- a/src/backend/utils/adt/tsginidx.c
+++ b/src/backend/utils/adt/tsginidx.c
@@ -19,6 +19,7 @@
 #include "tsearch/ts_type.h"
 #include "tsearch/ts_utils.h"
 #include "utils/builtins.h"
+#include "varatt.h"
 
 
 Datum
diff --git a/src/backend/utils/adt/tsquery.c b/src/backend/utils/adt/tsquery.c
index 1097294d55..885f793e86 100644
--- a/src/backend/utils/adt/tsquery.c
+++ b/src/backend/utils/adt/tsquery.c
@@ -23,6 +23,7 @@
 #include "utils/builtins.h"
 #include "utils/memutils.h"
 #include "utils/pg_crc.h"
+#include "varatt.h"
 
 /* FTS operator priorities, see ts_type.h */
 const int	tsearch_op_priority[OP_COUNT] =
diff --git a/src/backend/utils/adt/tsquery_cleanup.c b/src/backend/utils/adt/tsquery_cleanup.c
index 94030a75d5..5d5f675f90 100644
--- a/src/backend/utils/adt/tsquery_cleanup.c
+++ b/src/backend/utils/adt/tsquery_cleanup.c
@@ -17,6 +17,7 @@
 
 #include "miscadmin.h"
 #include "tsearch/ts_utils.h"
+#include "varatt.h"
 
 typedef struct NODE
 {
diff --git a/src/backend/utils/adt/tsquery_op.c b/src/backend/utils/adt/tsquery_op.c
index 8d815fa7a8..a041294757 100644
--- a/src/backend/utils/adt/tsquery_op.c
+++ b/src/backend/utils/adt/tsquery_op.c
@@ -17,6 +17,7 @@
 #include "lib/qunique.h"
 #include "tsearch/ts_utils.h"
 #include "utils/builtins.h"
+#include "varatt.h"
 
 Datum
 tsquery_numnode(PG_FUNCTION_ARGS)
diff --git a/src/backend/utils/adt/tsquery_util.c b/src/backend/utils/adt/tsquery_util.c
index 191b58e177..efa5370b8a 100644
--- a/src/backend/utils/adt/tsquery_util.c
+++ b/src/backend/utils/adt/tsquery_util.c
@@ -16,6 +16,7 @@
 
 #include "miscadmin.h"
 #include "tsearch/ts_utils.h"
+#include "varatt.h"
 
 /*
  * Build QTNode tree for a tsquery given in QueryItem array format.
diff --git a/src/backend/utils/adt/tsvector.c b/src/backend/utils/adt/tsvector.c
index 0b430d3c47..e498b704c1 100644
--- a/src/backend/utils/adt/tsvector.c
+++ b/src/backend/utils/adt/tsvector.c
@@ -20,6 +20,7 @@
 #include "tsearch/ts_utils.h"
 #include "utils/builtins.h"
 #include "utils/memutils.h"
+#include "varatt.h"
 
 typedef struct
 {
diff --git a/src/backend/utils/cache/attoptcache.c b/src/backend/utils/cache/attoptcache.c
index 9e252a0891..9f4db27c05 100644
--- a/src/backend/utils/cache/attoptcache.c
+++ b/src/backend/utils/cache/attoptcache.c
@@ -22,6 +22,7 @@
 #include "utils/hsearch.h"
 #include "utils/inval.h"
 #include "utils/syscache.h"
+#include "varatt.h"
 
 
 /* Hash table for information about each attribute's options */
diff --git a/src/backend/utils/cache/spccache.c b/src/backend/utils/cache/spccache.c
index 5609246c2f..acbd9a1f18 100644
--- a/src/backend/utils/cache/spccache.c
+++ b/src/backend/utils/cache/spccache.c
@@ -29,6 +29,7 @@
 #include "utils/inval.h"
 #include "utils/spccache.h"
 #include "utils/syscache.h"
+#include "varatt.h"
 
 
 /* Hash table for information about each tablespace */
diff --git a/src/backend/utils/mb/mbutils.c b/src/backend/utils/mb/mbutils.c
index 24f37e3ec9..b90e75c685 100644
--- a/src/backend/utils/mb/mbutils.c
+++ b/src/backend/utils/mb/mbutils.c
@@ -40,6 +40,7 @@
 #include "utils/builtins.h"
 #include "utils/memutils.h"
 #include "utils/syscache.h"
+#include "varatt.h"
 
 /*
  * We maintain a simple linked list caching the fmgr lookup info for the
diff --git a/src/include/fmgr.h b/src/include/fmgr.h
index 0ce0090360..972afe3aff 100644
--- a/src/include/fmgr.h
+++ b/src/include/fmgr.h
@@ -18,8 +18,6 @@
 #ifndef FMGR_H
 #define FMGR_H
 
-#include "varatt.h"
-
 /* We don't want to include primnodes.h here, so make some stub references */
 typedef struct Node *fmNodePtr;
 typedef struct Aggref *fmAggrefPtr;
diff --git a/src/pl/plperl/Util.xs b/src/pl/plperl/Util.xs
index bb4580ebfa..0ecb87fe33 100644
--- a/src/pl/plperl/Util.xs
+++ b/src/pl/plperl/Util.xs
@@ -16,6 +16,7 @@
 #include "fmgr.h"
 #include "utils/builtins.h"
 #include "utils/bytea.h"       /* for byteain & byteaout */
+#include "varatt.h"
 
 /* perl stuff */
 #define PG_NEED_PERL_XSUB_H
diff --git a/src/test/modules/spgist_name_ops/spgist_name_ops.c b/src/test/modules/spgist_name_ops/spgist_name_ops.c
index 89595fee93..b380111445 100644
--- a/src/test/modules/spgist_name_ops/spgist_name_ops.c
+++ b/src/test/modules/spgist_name_ops/spgist_name_ops.c
@@ -24,6 +24,7 @@
 #include "access/spgist.h"
 #include "catalog/pg_type.h"
 #include "utils/datum.h"
+#include "varatt.h"
 
 PG_MODULE_MAGIC;
 
diff --git a/src/test/modules/test_custom_rmgrs/test_custom_rmgrs.c b/src/test/modules/test_custom_rmgrs/test_custom_rmgrs.c
index d8e513ae93..0874b5d595 100644
--- a/src/test/modules/test_custom_rmgrs/test_custom_rmgrs.c
+++ b/src/test/modules/test_custom_rmgrs/test_custom_rmgrs.c
@@ -22,6 +22,7 @@
 #include "access/xloginsert.h"
 #include "fmgr.h"
 #include "utils/pg_lsn.h"
+#include "varatt.h"
 
 PG_MODULE_MAGIC;
 
diff --git a/src/test/modules/test_shm_mq/test.c b/src/test/modules/test_shm_mq/test.c
index 1d1c184d8c..eb79c4f26f 100644
--- a/src/test/modules/test_shm_mq/test.c
+++ b/src/test/modules/test_shm_mq/test.c
@@ -16,6 +16,7 @@
 #include "fmgr.h"
 #include "miscadmin.h"
 #include "pgstat.h"
+#include "varatt.h"
 
 #include "test_shm_mq.h"
 
-- 
2.39.0

